module Puppet::Parser::Functions
  newfunction(:scvm_host_group_expand) do |args|
    raise(Puppet::ParseError, 'scvm_host_group_expand(): wrong arguments.') unless args.size == 1
    require 'pathname'
    path = Pathname.new args[0].gsub('\\','/')
    folders = []
    until path.to_s == 'All Hosts' or path.to_s == '.'
      folders.push path.to_s
      path = path.parent
    end
    folders
  end
end
