unless Kernel.respond_to?(:require_relative)
  module Kernel
    def require_relative(path)
      require File.join(File.dirname(caller[0]), path.to_str)
    end
  end
end

require_relative '../../provider/winrm'

Puppet::Type.type(:format_storage).provide(:default, :parent => Puppet::Provider::Winrm) do

  def exists?
    false
  end

  def create
    command = '$iSCSI = Get-Disk | Where-Object PartitionStyle -Eq RAW | where {$_.FriendlyName -like \'EQLOGIC*\' -or $_.FriendlyName -like \'COMPELNT*\' -or $_.FriendlyName -like \'DGC*\'}; foreach ($disk in $iSCSI) { $diskID = $disk.number; echo $diskID; $dpscript = @("select disk $diskID",\'online disk noerr\',\'attributes disk clear readonly\',\'clean\',\'convert mbr\',\'create partition primary\',\'select part 1\',"format fs=ntfs label=Datavolume$diskId quick",\'list volume\'); $dpscript | diskpart  }'
    Puppet.debug("Command: #{command}")
    node_vmm(command)
  end


  def destroy
    # Nothing is required
  end

end
