import 'sample_data.pp'

transport { 'winrm':
  server   => $data['server'],
  username => $data['username'],
  password => $data['password'],
}

sc_virtual_machine { 'demo':
  ensure          => present,
  path            => 'C:\\',
  vm_host         => $host['name'],
  template        => 'TestTemplate',
  cpu_count       => 2,
  memory_mb       => 1024,
  start_action    => 'always_auto_turn_on_vm',
  transport       => Transport['winrm'],
}
