vmware_module = Puppet::Module.find('vmware_lib', Puppet[:environment].to_s)
require File.join vmware_module.path, 'lib/puppet/property/vmware'

Puppet::Type.newtype(:host_network_adapter) do
  ensurable

  newparam(:mac_addresses, :namevar => true) do
    desc 'MAC Address of interfaces that needs to be configured'
  end

  newparam(:state) do
    desc 'Interface state'
    newvalues('Enabled','Disabled')
    defaultto('Enabled')
  end

end
