Puppet::Type.newtype(:sc_run_as_account) do
  ensurable

  newparam(:name, :namevar => true) do
    desc 'run as account name'
  end

  # TODO: This should be a property
  newparam(:description) do
    desc 'User description'
  end

  newparam(:username) do
    desc 'Domain username (for account management)'
  end

  newparam(:password) do
    desc 'Domain password (for account management)'
  end

  newparam(:async) do
    desc 'Process the request asynchronously (no longer confirm operation completed successfully).'
    newvalues(:true,:false)
    defaultto(:false)
  end
end
