Puppet::Type.newtype(:sc_vm_network) do
  desc 'Creation SCVM VM Network'
  ensurable

  newparam(:name, :namevar => true) do
    desc 'vm network'
  end

  newparam(:description) do
    desc 'vm network description'
  end

  newparam(:logical_network) do
    desc 'logical network Name where VM Network needs to be binded'
  end

  newparam(:vm_network_isolation_type) do
    newvalues(:isolation, :noisolation)
    defaultto(:noisolation)
  end

  newparam(:async) do
    desc 'process the request asynchronously (no longer confirm operation completed successfully).'
    newvalues(:true,:false)
    defaultto(:false)
  end

  autorequire(:sc_logical_network) do
    self[:logical_network]
  end
end
