Puppet::Type.newtype(:scvm_host_group) do
  ensurable

  newparam(:path, :namevar => true) do
    desc 'The fully qualified path of the hostgroup'
    munge do |path|
      path.gsub('/','\\')
    end
  end

  autorequire(:scvm_host_group) do
    Pathname.new(self[:path].gsub(/\\/, File::SEPARATOR)).
      parent.to_s.gsub(File::SEPARATOR, '\\')
  end
end
