import 'sample_data.pp'

transport { 'winrm':
  server   => $data['server'],
  username => $data['username'],
  password => $data['password'],
}

scvm_host_cluster { $hostcluster['name']:
  ensure            => present,
  hosts             => $hostcluster['hosts'],
  inclusive         => false,
  cluster_ipaddress => $hostcluster['cluster_ipaddress'],
  path              => $hostcluster['path'],
  username          => $data['username'],
  password          => $data['password'],
  fqdn              => $data['fqdn'],
  transport         => Transport['winrm'],
}
