import 'sample_data.pp'

transport { 'winrm':
  server   => $data['server'],
  username => $data['username'],
  password => $data['password'],
}

sc_runasaccount { 'demo':
  ensure    => present,
  username  => $data['username'],
  password  => $data['password'],
  transport => Transport['winrm'],
}

scvm_host { $host['name']:
  ensure             => present,
  path               => $host['path'],
  management_account => 'demo',
  username           => $data['username'],
  password           => $data['password'],
  transport          => Transport['winrm'],
}
